summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-crypt/cfs/files/cfsd.init')
-rw-r--r--app-crypt/cfs/files/cfsd.init29
1 files changed, 29 insertions, 0 deletions
diff --git a/app-crypt/cfs/files/cfsd.init b/app-crypt/cfs/files/cfsd.init
new file mode 100644
index 0000000..a2d6277
--- /dev/null
+++ b/app-crypt/cfs/files/cfsd.init
@@ -0,0 +1,29 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/cfs/files/cfsd.init,v 1.2 2004/09/28 00:18:13 swegener Exp $
+
+depend() {
+ need nfs
+ before nfsmount
+}
+
+start() {
+ ebegin "Starting cfsd"
+ NODAEMON=1 start-stop-daemon --start --pidfile /var/run/cfs.pid \
+ --make-pidfile --background --exec /usr/sbin/cfsd
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping cfsd"
+ start-stop-daemon --oknodo --stop --pidfile /var/run/cfs.pid \
+ && rm -f /var/run/cfs.pid
+ eend $?
+}
+
+# Local Variables:
+# mode: shell-script
+# indent-tabs-mode: t
+# tab-width: 4
+# End: